=== debian/rules ===
#!/usr/bin/make -f
#
# Univention Samba4
#  rules file
#
# Like what you see? Join us!
# https://www.univention.com/about-us/careers/vacancies/
#
# SPDX-FileCopyrightText: 2004-2025 Univention GmbH
# SPDX-License-Identifier: AGPL-3.0-only

override_dh_fixperms-arch:
	dh_fixperms
	chmod 755 debian/univention-samba4/usr/lib/univention-install/96univention-samba4.inst
	chmod 755 debian/univention-samba4/usr/lib/univention-install/98univention-samba4-dns.inst
	chmod 755 debian/univention-samba4/usr/lib/univention-directory-listener/system/samba-shares.py
	chmod 755 debian/univention-samba4/usr/lib/univention-directory-listener/system/samba4-idmap.py
	chmod 755 debian/univention-samba4/usr/share/univention-samba4/scripts/purge_s4_computer.py

override_dh_fixperms-indep:
	dh_fixperms
	chmod 755 debian/univention-samba4-sysvol-sync/usr/share/univention-samba4/scripts/sysvol-sync.sh
	chmod 755 debian/univention-samba4-sysvol-sync/usr/share/univention-samba4/scripts/sysvol-cleanup.py

override_dh_installinit:
	dh_installinit -a --no-start -u"defaults 97"

%:
	dh $@ --with univention-l10n,ucr
