## univention-samba4 11.4.0

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,6 @@
 #
 # PAM Univention Samba Domain
 #  Makefile for the pam_univentionsambadomain module
-#
-# Like what you see? Join us!
-# https://www.univention.com/about-us/careers/vacancies/
 #
 # SPDX-FileCopyrightText: 2011-2025 Univention GmbH
 # SPDX-License-Identifier: AGPL-3.0-only
