=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,6 @@
 #
 # Univention Samba4
 #  rules file
-#
-# Like what you see? Join us!
-# https://www.univention.com/about-us/careers/vacancies/
 #
 # SPDX-FileCopyrightText: 2004-2025 Univention GmbH
 # SPDX-License-Identifier: AGPL-3.0-only
