## univention-samba4 11.4.1

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # PAM Univention Samba Domain
 #  Makefile for the pam_univentionsambadomain module
 #
-# SPDX-FileCopyrightText: 2011-2025 Univention GmbH
+# SPDX-FileCopyrightText: 2011-2026 Univention GmbH
 # SPDX-License-Identifier: AGPL-3.0-only
 
 TITLE=pam_univentionsambadomain
