=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Univention Samba4
 #  rules file
 #
-# SPDX-FileCopyrightText: 2004-2025 Univention GmbH
+# SPDX-FileCopyrightText: 2004-2026 Univention GmbH
 # SPDX-License-Identifier: AGPL-3.0-only
 
 override_dh_fixperms-arch:
